import { JSXElement } from "solid-js";

import { GlobalStateProvider } from "./GlobalState";
import { LoginModal } from "./LoginModal";
import { Navbar } from "./Navbar";
import { Primary } from "./Primary";

function Root(): JSXElement {
  return (
    <>
      <GlobalStateProvider>
        <FancyBackground />
        <div class="flex flex-col items-center">
          <Navbar />
          <LoginModal />
          <div class="flex w-full flex-col items-center space-y-2 px-2 md:max-w-3xl">
            <Primary />
          </div>
        </div>
      </GlobalStateProvider>
    </>
  );
}

function FancyBackground(): JSXElement {
  return (
    <div class="bg-container">
      <div class="bg-fancy min-h-screen bg-cover bg-center" />
    </div>
  );
}

export default Root;
